org.apache.nutch.indexer.solr

## Class SolrDeleteDuplicates.SolrInputSplit

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputSplit
  - - org.apache.nutch.indexer.solr.SolrDeleteDuplicates.SolrInputSplit

- All Implemented Interfaces:
    Writable
  Enclosing class:
    SolrDeleteDuplicates

      public static class SolrDeleteDuplicates.SolrInputSplit
      extends InputSplit
      implements Writable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrDeleteDuplicates.SolrInputSplit()`
    `SolrDeleteDuplicates.SolrInputSplit(int docBegin, int numDocs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDocBegin()`
    `long` | `getLength()`
    `String[]` | `getLocations()`
    `void` | `readFields(DataInput in)`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.InputSplit

      `getLocationInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrDeleteDuplicates.SolrInputSplit

          public SolrDeleteDuplicates.SolrInputSplit()

    - #### SolrDeleteDuplicates.SolrInputSplit

          public SolrDeleteDuplicates.SolrInputSplit(int docBegin,
                                             int numDocs)

  - ### Method Detail

    - #### getDocBegin

          public int getDocBegin()

    - #### getLength

          public long getLength()
                         throws IOException

      Specified by:
        `getLength` in class `InputSplit`
      Throws:
        `IOException`

    - #### getLocations

          public String[] getLocations()
                                throws IOException

      Specified by:
        `getLocations` in class `InputSplit`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

Copyright © 2015 The Apache Software Foundation